package org.sky.gateway.provider;


import org.sky.core.launch.constant.TokenConstant;

import java.util.ArrayList;
import java.util.List;

/**
 * 鉴权配置
 *
 * @author Chill
 */
public class AuthProvider {

	public static final String AUTH_KEY = TokenConstant.AUTH_HEADER;
	private static final List<String> DEFAULT_SKIP_URL = new ArrayList<>();

	static {
		DEFAULT_SKIP_URL.add("/example");
		DEFAULT_SKIP_URL.add("/oauth/token/**");
		DEFAULT_SKIP_URL.add("/oauth/captcha/**");
		DEFAULT_SKIP_URL.add("/oauth/sms/**");
		DEFAULT_SKIP_URL.add("/oauth/clear-cache/**");
		DEFAULT_SKIP_URL.add("/oauth/user-info");
		DEFAULT_SKIP_URL.add("/oauth/render/**");
		DEFAULT_SKIP_URL.add("/oauth/callback/**");
		DEFAULT_SKIP_URL.add("/oauth/revoke/**");
		DEFAULT_SKIP_URL.add("/oauth/refresh/**");
		DEFAULT_SKIP_URL.add("/token/**");
		DEFAULT_SKIP_URL.add("/actuator/**");
		DEFAULT_SKIP_URL.add("/v3/api-docs/**");
		DEFAULT_SKIP_URL.add("/tenant/info");
		DEFAULT_SKIP_URL.add("/process/resource-view");
		DEFAULT_SKIP_URL.add("/process/diagram-view");
		DEFAULT_SKIP_URL.add("/manager/check-upload");
		DEFAULT_SKIP_URL.add("/assets/**");
	}

	/**
	 * 默认无需鉴权的API
	 */
	public static List<String> getDefaultSkipUrl() {
		return DEFAULT_SKIP_URL;
	}

}
